Skip to content

Tool Search

POST
/api/agents/tool-search
curl --request POST \
--url https://example.com/api/agents/tool-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "query": "example", "agent_id": "example", "limit": 10 }'
Media typeapplication/json
ToolSearchRequest
object
query
required
Query
string
>= 1 characters
agent_id
Any of:
string
limit
Limit
integer
default: 10 >= 1 <= 25

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}